import 'package:flutter/material.dart';

/// 边框 button
class BorderLineButton extends StatefulWidget {
  /// 标题
  final String? title;

  /// 标题对齐
  final TextAlign? textAlign;

  /// 点击回调
  final VoidCallback? onTap;

  /// 边框颜色
  final Color? borderColor;

  /// 标题设置
  final TextStyle? titleStyle;

  const BorderLineButton({
    Key? key,
    this.title = "",
    this.textAlign = TextAlign.center,
    this.onTap,
    this.borderColor = Colors.blue,
    this.titleStyle = const TextStyle(color: Colors.blue, fontSize: 11),
  }) : super(key: key);

  @override
  _BorderLineButtonState createState() => _BorderLineButtonState();
}

class _BorderLineButtonState extends State<BorderLineButton> {
  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(Colors.white),
          side: MaterialStateProperty.all(
              BorderSide(color: widget.borderColor ?? Colors.blue)),
        ),
        child: Text(widget.title ?? "",
            textAlign: widget.textAlign, style: widget.titleStyle),
        onPressed: () {
          if (widget.onTap != null) {
            widget.onTap!();
          }
        });
  }
}
