import 'package:flutter/material.dart';

class SelectedBox extends StatefulWidget {
  final String? title;
  final bool? selected;
  final VoidCallback? onTap;

  const SelectedBox({Key? key, this.title, this.selected = false, this.onTap}) : super(key: key);
  
  @override
  _SelectedBoxState createState() => _SelectedBoxState();
}

class _SelectedBoxState extends State<SelectedBox> {
  @override

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      behavior: HitTestBehavior.opaque,
      child: Container(
        child: Row(
          mainAxisSize: MainAxisSize.min,
          children: [
            Image.asset(widget.selected ?? false ? "images/general/bg_rdo_enable.png" : "images/general/bg_rdo_disable.png", width: 14, height: 14,),
            SizedBox(width: 5,),
            Text(widget.title ?? "", style: _titleStyle,),
          ],
        ),
      ),
      onTap: () {
        if (widget.onTap != null) {
          widget.onTap!();
        }
      },
    );
  }
}

final _titleStyle = TextStyle(color: Color(0xFF112233), fontSize: 13, fontWeight: FontWeight.w500);