import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter_baidu_yingyan_trace/flutter_baidu_yingyan_trace.dart';

/// entity list item
class EntityListItem extends StatefulWidget {
  /// entity
  final EntityInfo? entityInfo;

  /// 点击回调
  final GestureTapCallback? onTap;

  const EntityListItem({required this.entityInfo, this.onTap, Key? key})
      : super(key: key);

  @override
  _EntityListItemState createState() => _EntityListItemState();
}

class _EntityListItemState extends State<EntityListItem> {
  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: Container(
          color: Colors.white,
          height: 60,
          child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Expanded(
                    child: Row(
                  children: [
                    Container(child: SizedBox(height: 15, width: 15)),
                    Expanded(
                      child: Container(
                        child: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            Text(
                              widget.entityInfo?.entityName == null
                                  ? ''
                                  : widget.entityInfo!.entityName!,
                              style: _titleStyle,
                            ),
                            SizedBox(
                              height: 5,
                            ),
                            Text(
                              widget.entityInfo?.entityDesc == null
                                  ? ''
                                  : widget.entityInfo!.entityDesc!,
                              style: _subTitleStyle,
                            ),
                          ],
                        ),
                      ),
                    ),
                    Container(
                      margin: EdgeInsets.only(left: 10, right: 10),
                      child: Image.asset(
                        "images/general/icon_enter.png",
                        width: 18,
                        height: 18,
                      ),
                    ),
                  ],
                )),
                Container(
                  color: Colors.grey.withAlpha(130),
                  height: 0.5,
                ),
              ])),
      onTap: () {
        if (widget.onTap != null) {
          widget.onTap!();
        }
      },
    );
  }
}

final _titleStyle = TextStyle(color: Color(0xFF303030), fontSize: 15);
final _subTitleStyle = TextStyle(color: Color(0xFF999999), fontSize: 13);
