import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'dart:convert';

import 'customWidgets/home_list_item.dart';

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {

  List _listData = [];

  @override
  void initState() {
    super.initState();

    _loadHomeListData();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: ListView.builder(
        itemCount: _listData.length,
        itemBuilder: _itemBuilder,
      ),
    );
  }

  void _didSelectedListItem(String routeName) {
    Navigator.pushNamed(context, "/$routeName");
  }

  Widget _itemBuilder(BuildContext context, int index) {
    Map map = _listData[index];
    return HomeListItem(
      image: map["icon"],
      title: map["title"],
      subTitle: map["subTitle"],
      onTap: () => _didSelectedListItem(map["routeName"]),
    );
  }

  void _loadHomeListData() async {
    String dataStr = await rootBundle.loadString("resources/home_list_data.json");
    List dataList = json.decode(dataStr);
    _listData.addAll(dataList);
    setState(() {});
  }
}
